package com.steerinfo.meterwork.meterworkcaractfirstbak.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="计量汽车衡一次数据离线计量表")
public class MeterWorkCarActFirstBak implements IBasePO<String> {
    /**
     * 计量作业编号(ACTUAL_FIRST_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="计量作业编号",required=true)
    private String actualFirstNo;

    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=false)
    private String carNo;

    /**
     * 计量重量(METER_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="计量重量",required=false)
    private BigDecimal meterWeight;

    /**
     * 计量员编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量员编号",required=false)
    private String createManNo;

    /**
     * 计量员(CREATE_MAN_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量员",required=false)
    private String createManName;

    /**
     * 计量时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="计量时间",required=false)
    private Date createTime;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String baseSpotName;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人名称(UPDATE_MAN_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="修改人名称",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 上传人编号(UPLOAD_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="上传人编号",required=false)
    private String uploadManNo;

    /**
     * 上传人名称(UPLOAD_MAN_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="上传人名称",required=false)
    private String uploadManName;

    /**
     * 上传人时间(UPLOAD_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="上传人时间",required=false)
    private Date uploadTime;

    /**
     * 是否上传新系统（0：未上传；1：已上传）(UPLOAD_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否上传新系统（0：未上传；1：已上传）",required=false)
    private String uploadFlag;

    /**
     * 原因(NOTE,VARCHAR,200)
     */
    @ApiModelProperty(value="原因",required=false)
    private String note;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.actualFirstNo;
    }

    @Override
    public void setId(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public String getActualFirstNo() {
        return actualFirstNo;
    }

    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public BigDecimal getMeterWeight() {
        return meterWeight;
    }

    public void setMeterWeight(BigDecimal meterWeight) {
        this.meterWeight = meterWeight;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUploadManNo() {
        return uploadManNo;
    }

    public void setUploadManNo(String uploadManNo) {
        this.uploadManNo = uploadManNo == null ? null : uploadManNo.trim();
    }

    public String getUploadManName() {
        return uploadManName;
    }

    public void setUploadManName(String uploadManName) {
        this.uploadManName = uploadManName == null ? null : uploadManName.trim();
    }

    public Date getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(Date uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getUploadFlag() {
        return uploadFlag;
    }

    public void setUploadFlag(String uploadFlag) {
        this.uploadFlag = uploadFlag == null ? null : uploadFlag.trim();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", actualFirstNo=").append(actualFirstNo);
        sb.append(", carNo=").append(carNo);
        sb.append(", meterWeight=").append(meterWeight);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", uploadManNo=").append(uploadManNo);
        sb.append(", uploadManName=").append(uploadManName);
        sb.append(", uploadTime=").append(uploadTime);
        sb.append(", uploadFlag=").append(uploadFlag);
        sb.append(", note=").append(note);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}